## guider 3.9.8

=== guider/Makefile ===
# Makefile to build objects of guider
#
# Copyright (c) 2016-2018 Peace Lee <iipeace5@gmail.com>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.

ifneq ($(findstring $(MAKEFLAGS),s),s)
  ifneq ($(V),1)
	QUIET_CC       = @echo '  CC       '$(patsubst $(objdir)/%,%,$@);
	QUIET_PCC      = @echo '  PCC      '$(patsubst $(objdir)/%,%,$@);
	QUIET_LINK     = @echo '  LINK     '$(patsubst $(objdir)/%,%,$@);
	QUIET_MKDIR    = @echo '  MKDIR    '$(patsubst $(objdir)/%,%,$@);
	QUIET_GEN      = @echo '  GEN      '$(patsubst $(objdir)/%,%,$@);

	QUIET_CLEAN    = @printf '  CLEAN    %s\n' $1;
	QUIET_INSTALL  = @printf '  INSTALL  %s\n' $1;
	QUIET_UNINSTALL= @printf '  REMOVE   %s\n' $1;

	Q = @
  endif
endif

ifneq ($(KERNELRELEASE),)
	obj-m := guiderMod.o
else
    ifneq ($(MAKECMDGOALS),clean)
      CFLAGS = -fPIC
      LDFLAGS = -shared
      CPPFLAGS := $(shell python-config --includes)
      PCC = $(shell which python)
      PFLAGS = -m py_compile

      ifeq ($(CPPFLAGS),)
        $(warning "Fail to find Python.h so that requires CPPFLAGS variable")
      endif
      ifeq ($(PCC),)
        $(error "Fail to find python so that requires PCC variable")
      endif
    endif
endif

CC = gcc 
RM = rm -f
MV = mv -f
INSTALL = install
SED = sed

MODULE = guider
TARGET_BIN = guider
TARGET_LIB = guidermodule.so

ifneq ($(wildcard .config),)
  include .config
endif

prefix ?= /usr

TARGET_PY = guider.py
TARGET_PYC = guider.pyc
INSTALL_DIR = $(prefix)/share/guider
SBIN_DIR = $(prefix)/sbin
LIB_DIR = $(prefix)/lib

SRCS = guiderLib.c
OBJS = guiderLib.o

KPATH := /lib/modules/$(shell uname -r)/build


.PHONY: all
all: $(TARGET_PYC) $(OBJS) $(TARGET_LIB)

$(TARGET_PYC): $(TARGET_PY)
	$(QUIET_PCC)$(PCC) $(PFLAGS) $^
	$(Q)if [ -f __pycache__/$(MODULE)*.pyc ]; then \
		$(MV) __pycache__/$(MODULE)*.pyc $(CURDIR)/$(MODULE).pyc; \
	fi

$(OBJS): $(SRCS)
	$(QUIET_CC)$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $^

$(TARGET_LIB): $(OBJS)
	$(QUIET_CC)$(CC) $(LDFLAGS) -o $@ $(OBJS)

.PHONY: install
install: all
	$(Q)$(INSTALL) -d -m 755 $(INSTALL_DIR)
	$(Q)$(INSTALL) -d -m 755 $(SBIN_DIR)
	$(Q)$(INSTALL) -d -m 755 $(LIB_DIR)

	$(call QUIET_INSTALL, $(TARGET_PYC))
	$(Q)$(INSTALL) $(TARGET_PYC) $(INSTALL_DIR)/$(TARGET_PYC)

	$(call QUIET_INSTALL, $(TARGET_BIN))
	$(Q)$(INSTALL) $(TARGET_BIN) $(SBIN_DIR)/$(TARGET_BIN)

	$(call QUIET_INSTALL, $(TARGET_LIB))
	$(Q)$(INSTALL) $(TARGET_LIB) $(LIB_DIR)/$(TARGET_LIB)
	$(Q)$(SED) -i "s%PREFIX_DIR=%PREFIX_DIR=$(prefix)%g" $(SBIN_DIR)/$(TARGET_BIN)

.PHONY: kernel
kernel: all
	-$(Q)$(MAKE) -C $(KPATH) M=$(PWD) modules

.PHONY: clean
clean:
	$(call QUIET_CLEAN, guider)
	$(Q)$(RM) $(TARGET_LIB) $(OBJS)
	$(Q)$(RM) $(TARGET_PYC)
	$(Q)$(RM) $(INSTALL_DIR)/*
	$(Q)$(RM) $(SBIN_DIR)/$(TARGET_BIN)
	$(Q)$(RM) $(LIB_DIR)/$(TARGET_LIB)

	$(call QUIET_CLEAN, kernel-module)
	-$(Q)if [ -d /lib/modules/$(shell uname -r)/build ]; then \
		$(MAKE) -sC /lib/modules/$(shell uname -r)/build M=$(PWD) clean; \
	fi

=== guider/requirements.txt ===
# python package for drawing

cycler
kiwisolver
matplotlib
numpy
Pillow
pyparsing
python-dateutil
six
textwrap3

=== utils/libguider/Makefile ===
# Makefile to build report library for user application
#
# Copyright (c) 2017 Peace Lee <iipeace5@gmail.com>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.

report : file.o read.o job.o socket.o thread.o
	ar rc libreport.a file.o read.o job.o socket.o thread.o
	ranlib libreport.a 

file.o : report.h file.c
	gcc -c file.c

read.o : report.h read.c
	gcc -c read.c

job.o : report.h job.c
	gcc -c job.c

socket.o : report.h socket.c
	gcc -c socket.c

thread.o : report.h thread.c
	gcc -c thread.c

clean : 
	rm *.o libreport.a

=== debian/changelog ===
guider (3.9.8-2) unstable; urgency=medium

  * Update debian/upstream/metadata.
  * d/control: improved long description.

 -- Gürkan Myczko <tar@debian.org>  Wed, 24 Aug 2022 09:24:28 +0200

guider (3.9.8-1) unstable; urgency=medium

  * Initial release. (Closes: #930883)

 -- Gürkan Myczko <tar@debian.org>  Fri, 22 Jul 2022 13:33:39 +0200

## guider 3.9.897

=== debian/changelog ===
guider (3.9.897-3) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 08:46:17 +0200

guider (3.9.897-2) experimental; urgency=medium

  * d/control: enable Vcs fields.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Fri, 26 May 2023 13:46:44 +0200

guider (3.9.897-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright:
    - bump years.
    - drop utils/* as not shipped anymore.

 -- Gürkan Myczko <tar@debian.org>  Fri, 03 Feb 2023 14:39:54 +0100

=== debian/control ===
Source: guider
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-all,
 python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/iipeace/guider/
Vcs-Browser: https://salsa.debian.org/debian/guider
Vcs-Git: https://salsa.debian.org/debian/guider.git

Package: guider
Architecture: all
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: runtime performance analyzer tool
 This is an integrated performance analyzer. It provides most of the features
 needed to measure, analyze, test and verify system performance. It is made
 to work on all platforms from very old to modern.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

## guider 3.9.8993

=== debian/changelog ===
guider (3.9.8993-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Thu, 20 Mar 2025 07:36:32 +0000

guider (3.9.897-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 21:37:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: guider
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,7 +9,7 @@
  python3,
  python3-all,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/iipeace/guider/
 Vcs-Browser: https://salsa.debian.org/debian/guider
 Vcs-Git: https://salsa.debian.org/debian/guider.git
